#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

using namespace std;

void funkcija(int n,int poz,int pom){
    if(n/2+1>poz){
        cout << n-poz-poz+1+pom << endl;
    }
    else if(n/2+1==poz){
        cout << pom << endl;
    }
    else{
        cout << n-1-2*(n-poz)-1+pom << endl;
    }
}

int main()
{
    int n,m,pom;
    vector<int>::iterator poz;
    cin >> n >> m;
    vector<int> glasovi(n);
    vector<int> ciljevi(m);
    for(int i=0;i<n;i++){
        cin >> glasovi[i];
    }
    for(int i=0;i<m;i++){
        cin >> ciljevi[i];
    }
    sort(glasovi.begin(),glasovi.end());
    for(int i=0;i<m;i++){
        if(glasovi[0]>ciljevi[i]){
            cout << n+1 << endl;
        }
        else if(glasovi[n-1]<ciljevi[i]){
            cout << n << endl;
        }
        else{
            poz=lower_bound(glasovi.begin(),glasovi.end(),ciljevi[i]);
            pom=poz-glasovi.begin();
            if(glasovi[pom]==ciljevi[i]){
                funkcija(n,pom+1,0);
            }
            else{
                funkcija(n+1,pom+1,1);
            }
        }
    }
    //cout << "Hello world!" << endl;
    return 0;
}